<?php
/**
 * @package Eroshiksavp theme
 *
 *
 */
 get_header();
 $blog_sidebar_visibility=get_theme_mod('blog_sidebar_visibility',0);
 $blog_sidebar_align=get_theme_mod('blog_sidebar_align','r');
 $blog_sidebar_visibility_home=get_theme_mod('blog_sidebar_visibility_on_home',0);
 $sidebar_bg=get_theme_mod('blog_sidebar_bg','#FFFFFF');
 if(empty($sidebar_bg)){
   $sidebar_bg='transparent';
 }
 if(empty($blog_sidebar_align)){
   $blog_sidebar_align='r';
 }
?>

<div id="main" class="site-main main_content_holder" role="main">
    <div class="container eroshik_savp_posts_container">
<div class="container-fluid">
<?php
if ( is_active_sidebar('eroshik-blog-sidebar' ) ){
  if(is_front_page()){
    if($blog_sidebar_visibility_home==1){
        if($blog_sidebar_align==='l' && $blog_sidebar_visibility==1){?>
          <div style="background-color:<?php echo esc_attr($sidebar_bg);?>" class="col-sm-3 page_sidebar">
            <?php
                dynamic_sidebar('eroshik-blog-sidebar');
            ?>
          </div><!--page sidebar-->
        <?php }
    }
  }else{
    if($blog_sidebar_align==='l' && $blog_sidebar_visibility==1){ ?>
      <div style="background-color:<?php echo esc_attr($sidebar_bg) ;?>" class="col-sm-3 page_sidebar">
        <?php
            dynamic_sidebar('eroshik-blog-sidebar');
        ?>
      </div><!--page sidebar-->
    <?php }
  }
}
?>




<?php
    //check for page sidebar visibility.
    $page_content_width="col-sm-12";
    if($blog_sidebar_visibility==1){
      if(is_front_page()){
        if($blog_sidebar_visibility_home==1){
            $page_content_width="col-sm-9";
       }
     }else{
            $page_content_width="col-sm-9";
     }
    }
?>


      	<div id="primary_no_class" class="<?php echo esc_attr($page_content_width); ?>">

          <?php if ( have_posts() ) { ?>

            <?php
            $post_count = 0;
            // Start the loop.
            while ( have_posts() ) {
              the_post();
              $post_count ++;
              /*
               * Include the Post-Format-specific template for the content.
               * If you want to override this in a child theme, then include a file
               * called content-___.php (where ___ is the Post Format name) and that will be used instead.
               */
              if ( is_int( $post_count / 2 ) ) {
                ?>

                  <?php get_template_part( 'template-parts/content', get_post_format() ); ?>

                <?php
              } else {
                ?>

                  <?php get_template_part( 'template-parts/content', get_post_format() ); ?>

              <?php
              }

              // End the loop.

            }?>
          <div style="    margin-top: 8em;">
            <?php
            the_posts_pagination(
              array(
                'prev_text'          => __( 'Prev', 'eroshiksavp' ),
                'next_text'          => __( 'Next', 'eroshiksavp' ),
              )
            );
            ?>
          </div>

          <div class="clearfix"></div>
          <?php
          }else{
            get_template_part( 'template-parts/content', 'none' );

          }
          ?>

        </div>





            <?php
            if ( is_active_sidebar('eroshik-blog-sidebar' ) ){
              if(is_front_page()){
                if($blog_sidebar_visibility_home==1){
                    if($blog_sidebar_align==='r' && $blog_sidebar_visibility==1){?>
                      <div style="background-color:<?php echo esc_attr($sidebar_bg) ;?>" class="col-sm-3 page_sidebar">
                        <?php

                              dynamic_sidebar('eroshik-blog-sidebar');

                           ?>
                      </div><!--page sidebar-->
                    <?php }
                }
              }else{
                if($blog_sidebar_align==='r' && $blog_sidebar_visibility==1){ ?>
                  <div style="background-color:<?php echo esc_attr($sidebar_bg) ;?>" class="col-sm-3 page_sidebar">
                    <?php

                       dynamic_sidebar('eroshik-blog-sidebar');

                    ?>
                  </div><!--page sidebar-->
                <?php }
              }
            }?>


      </div><!--container-fluid-->
    </div>

</div><!-- main -->
<div class="clearfix"></div>
<?php get_footer(); ?>
