<?php
/**
 * @package Eroshiksavp theme
 *
 *
 */
if( post_password_required() ){
	return;
}
?>

<div id="comments" class="comments-area">

	<?php
		if( have_comments() ){
		//We have comments
	?>

	<h2 class="comment-title">
	<?php
	$comments_number = get_comments_number();
		if ( '1' === $comments_number ) {
			/* translators: %s: post title */
			printf( _x( 'One Reply to &ldquo;%s&rdquo;', 'comments title', 'eroshiksavp' ), get_the_title() );
		} else {
			printf(
				/* translators: 1: number of comments, 2: post title */
				_nx(
					'%1$s Reply to &ldquo;%2$s&rdquo;',
					'%1$s Replies to &ldquo;%2$s&rdquo;',
					$comments_number,
					'comments title',
					'eroshiksavp'
				),
				number_format_i18n( $comments_number ),
				get_the_title()
			);
		}
		?>
	</h2>

	<?php if( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ){ ?>

		<nav id="comment-nav-top" class="comment-navigation" role="navigation">
			<div class="row">
				<div class="col-xs-12 col-sm-6">
					<div class="post-link-nav">
						<span class="eroshik-savp-icon fa-chevron-left" aria-hidden="true"></span>
						<?php previous_comments_link( __( 'Older Comments','eroshiksavp') ) ?>
					</div>
				</div>
				<div class="col-xs-12 col-sm-6 text-right">
					<div class="post-link-nav">
						<?php next_comments_link( __( 'Newer Comments','eroshiksavp') ) ?>
						<span class="eroshik-savp-icon fa fa-chevron-right" aria-hidden="true"></span>
					</div>
				</div>
			</div><!-- .row -->
		</nav>

	<?php } ?>

	<ol class="comment-list">

		<?php
		$type=(is_page()?$type='comment':'all');

			$args = array(
				'walker'			=> null,
				'max_depth' 		=> '',
				'style'				=> 'ol',
				'callback'			=> null,
				'end-callback'		=> null,
				'type'				=> $type,
				'reply_text'		=> 'Reply',
				'page'				=> '',
				'per_page'			=> '',
				'avatar_size'		=> 64,
				'reverse_top_level' => null,
				'reverse_children'	=> '',
				'format'			=> 'html5',
				'short_ping'		=> false,
				'echo'				=> true
			);

			wp_list_comments( $args );
		?>

	</ol>

	<?php if( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ){ ?>



	<?php } ?>

	<?php
		if( !comments_open() && get_comments_number() ){
	?>

		 <p class="no-comments"><?php echo __('Comments are closed','eroshiksavp'); ?></p>

	<?php
}
}
	?>



  <?php

		$fields = array(

			'author' =>
				'<div class="form-group"><label for="author">' . __( 'Name', 'eroshiksavp' ) . '</label> <span class="required">*</span> <input id="author" name="author" type="text" class="form-control" value="' . esc_attr( $commenter['comment_author'] ) . '" required="required" /></div>',

			'email' =>
				'<div class="form-group"><label for="email">' . __( 'Email', 'eroshiksavp' ) . '</label> <span class="required">*</span><input id="email" name="email" class="form-control" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" required="required" /></div>',

			'url' =>
				'<div class="form-group last-field"><label for="url">' . __( 'Website', 'eroshiksavp' ) . '</label><input id="url" name="url" class="form-control" type="text" value="' . esc_url( $commenter['comment_author_url'] ) . '" /></div>'

		);

		$args = array(

			'class_submit' => 'btn btn-block btn-lg btn-warning',
			'label_submit' => esc_attr( __('Submit Comment','eroshiksavp') ),
			'comment_field' =>
				'<div class="form-group"><label for="comment">' . _x( 'Comment', 'noun','eroshiksavp' ) . '</label> <span class="required">*</span><textarea id="comment" class="form-control" name="comment" rows="4" required="required"></textarea></p></div>',
			'fields' => apply_filters( 'comment_form_default_fields', $fields )

		);

		comment_form( $args );

	?>

</div><!-- .comments-area -->
