<?php
  /**
  * @package Eroshiksavp theme

  */
 ?>

 <article id="post_<?php the_ID(); ?>" <?php post_class(); ?> >
    <header class="entry_header text-center">
      <?php the_title('<h1 class="entry_title"><a href="'.esc_url(get_permalink()).'" rel="bookmark">','</h1>'); ?>
      <div class="entry_meta">
        <?php  eroshik_savp_posted_meta(); ?>
      </div>
    </header>
    <div class="entry-content">
      <?php if(has_post_thumbnail()){
          $f_image=wp_get_attachment_url(get_post_thumbnail_id(get_the_id()));
      ?>
        <a class="featured_image_link" href="<?php the_permalink(); ?>">
          <div class="featured_image bg_image" style="background-image:url(<?php echo esc_url($f_image); ?>)">

          </div><!--featured_iamge-->
        </a>
      <?php } ?>
          <div class="entry_excerpt">
            <?php the_excerpt(); ?>
          </div><!--entry_excerpt-->

      <div class="button_container text-center">
         <a href="<?php the_permalink();?>" class="btn btn_eroshik"><?php echo __( 'Read More','eroshiksavp' );?></a>
      </div>
    </div><!-- entry-content-->
    <footer  class="entry_footer">
      <?php  eroshik_savp_posted_footer(); ?>
    </footer>
 </article>
